﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Core;
using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
using HeuristicLab.Common;

namespace HeuristicLab.Problems.TradeRules
{
    [StorableClass]
    [Item("MACD", "Symbol that represents the MACD indicator.")]
    class MACD : Symbol
    {
        private const int minimumArity = 3;
        private const int maximumArity = 3;

        public override int MinimumArity
        {
            get { return minimumArity; }
        }
        public override int MaximumArity
        {
            get { return maximumArity; }
        }

        [StorableConstructor]
        private MACD(bool deserializing) : base(deserializing) { }
        private MACD(MACD original, Cloner cloner) : base(original, cloner) { }
        public override IDeepCloneable Clone(Cloner cloner)
        {
            return new MACD(this, cloner);
        }
        public MACD() : base("MACD", "Symbol that represents the MACD indicator.") { }
    }

 }